import java.util.Arrays;

public class HistogramDataDisplay extends DataDisplay {

	public HistogramDataDisplay(String name, Data subject) {
		super(name, subject);
	}

	@Override
	public void update() {
		System.out.println(getClass() + ": " + name);
		int[] sortedArray = super.getContent();
		Arrays.sort(sortedArray);
		int lastVal = -1;
		for (int i : sortedArray) {
			if (i == lastVal)
				System.out.print("*");
			else {
				System.out.format("%s%d\t*",(lastVal==-1)?"":"\n", i);
				lastVal=i;
			}
		}
		System.out.println();
	}
}
